org.apache.ode.bpel.pmapi.impl

## Class TActivityInfoImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.TActivityInfoImpl

- All Implemented Interfaces:
    java.io.Serializable, TActivityInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TActivityInfoImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TActivityInfo

  An XML tActivityInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TActivityInfo

      `TActivityInfo.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.TActivityInfo

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TActivityInfoImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TFailureInfo` | `addNewFailure()` Appends and returns a new empty "failure" element
    `TScopeRef` | `addNewScope()` Appends and returns a new empty "scope" element
    `java.lang.String` | `getAiid()` Gets the "aiid" element
    `java.util.Calendar` | `getDtCompleted()` Gets the "dt-completed" element
    `java.util.Calendar` | `getDtEnabled()` Gets the "dt-enabled" element
    `java.util.Calendar` | `getDtStarted()` Gets the "dt-started" element
    `TFailureInfo` | `getFailure()` Gets the "failure" element
    `java.lang.String` | `getName()` Gets the "name" element
    `TScopeRef` | `getScope()` Gets the "scope" element
    `TActivityStatus.Enum` | `getStatus()` Gets the "status" element
    `java.lang.String` | `getType()` Gets the "type" element
    `boolean` | `isSetDtCompleted()` True if has "dt-completed" element
    `boolean` | `isSetDtEnabled()` True if has "dt-enabled" element
    `boolean` | `isSetDtStarted()` True if has "dt-started" element
    `boolean` | `isSetFailure()` True if has "failure" element
    `boolean` | `isSetName()` True if has "name" element
    `boolean` | `isSetScope()` True if has "scope" element
    `void` | `setAiid(java.lang.String aiid)` Sets the "aiid" element
    `void` | `setDtCompleted(java.util.Calendar dtCompleted)` Sets the "dt-completed" element
    `void` | `setDtEnabled(java.util.Calendar dtEnabled)` Sets the "dt-enabled" element
    `void` | `setDtStarted(java.util.Calendar dtStarted)` Sets the "dt-started" element
    `void` | `setFailure(TFailureInfo failure)` Sets the "failure" element
    `void` | `setName(java.lang.String name)` Sets the "name" element
    `void` | `setScope(TScopeRef scope)` Sets the "scope" element
    `void` | `setStatus(TActivityStatus.Enum status)` Sets the "status" element
    `void` | `setType(java.lang.String type)` Sets the "type" element
    `void` | `unsetDtCompleted()` Unsets the "dt-completed" element
    `void` | `unsetDtEnabled()` Unsets the "dt-enabled" element
    `void` | `unsetDtStarted()` Unsets the "dt-started" element
    `void` | `unsetFailure()` Unsets the "failure" element
    `void` | `unsetName()` Unsets the "name" element
    `void` | `unsetScope()` Unsets the "scope" element
    `org.apache.xmlbeans.XmlString` | `xgetAiid()` Gets (as xml) the "aiid" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtCompleted()` Gets (as xml) the "dt-completed" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtEnabled()` Gets (as xml) the "dt-enabled" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtStarted()` Gets (as xml) the "dt-started" element
    `org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
    `TActivityStatus` | `xgetStatus()` Gets (as xml) the "status" element
    `org.apache.xmlbeans.XmlString` | `xgetType()` Gets (as xml) the "type" element
    `void` | `xsetAiid(org.apache.xmlbeans.XmlString aiid)` Sets (as xml) the "aiid" element
    `void` | `xsetDtCompleted(org.apache.xmlbeans.XmlDateTime dtCompleted)` Sets (as xml) the "dt-completed" element
    `void` | `xsetDtEnabled(org.apache.xmlbeans.XmlDateTime dtEnabled)` Sets (as xml) the "dt-enabled" element
    `void` | `xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)` Sets (as xml) the "dt-started" element
    `void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
    `void` | `xsetStatus(TActivityStatus status)` Sets (as xml) the "status" element
    `void` | `xsetType(org.apache.xmlbeans.XmlString type)` Sets (as xml) the "type" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TActivityInfoImpl

          public TActivityInfoImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the "name" element
      Specified by:
        `getName` in interface `TActivityInfo`

    - #### xgetName

          public org.apache.xmlbeans.XmlString xgetName()

      Gets (as xml) the "name" element
      Specified by:
        `xgetName` in interface `TActivityInfo`

    - #### isSetName

          public boolean isSetName()

      True if has "name" element
      Specified by:
        `isSetName` in interface `TActivityInfo`

    - #### setName

          public void setName(java.lang.String name)

      Sets the "name" element
      Specified by:
        `setName` in interface `TActivityInfo`

    - #### xsetName

          public void xsetName(org.apache.xmlbeans.XmlString name)

      Sets (as xml) the "name" element
      Specified by:
        `xsetName` in interface `TActivityInfo`

    - #### unsetName

          public void unsetName()

      Unsets the "name" element
      Specified by:
        `unsetName` in interface `TActivityInfo`

    - #### getType

          public java.lang.String getType()

      Gets the "type" element
      Specified by:
        `getType` in interface `TActivityInfo`

    - #### xgetType

          public org.apache.xmlbeans.XmlString xgetType()

      Gets (as xml) the "type" element
      Specified by:
        `xgetType` in interface `TActivityInfo`

    - #### setType

          public void setType(java.lang.String type)

      Sets the "type" element
      Specified by:
        `setType` in interface `TActivityInfo`

    - #### xsetType

          public void xsetType(org.apache.xmlbeans.XmlString type)

      Sets (as xml) the "type" element
      Specified by:
        `xsetType` in interface `TActivityInfo`

    - #### getAiid

          public java.lang.String getAiid()

      Gets the "aiid" element
      Specified by:
        `getAiid` in interface `TActivityInfo`

    - #### xgetAiid

          public org.apache.xmlbeans.XmlString xgetAiid()

      Gets (as xml) the "aiid" element
      Specified by:
        `xgetAiid` in interface `TActivityInfo`

    - #### setAiid

          public void setAiid(java.lang.String aiid)

      Sets the "aiid" element
      Specified by:
        `setAiid` in interface `TActivityInfo`

    - #### xsetAiid

          public void xsetAiid(org.apache.xmlbeans.XmlString aiid)

      Sets (as xml) the "aiid" element
      Specified by:
        `xsetAiid` in interface `TActivityInfo`

    - #### getStatus

          public TActivityStatus.Enum getStatus()

      Gets the "status" element
      Specified by:
        `getStatus` in interface `TActivityInfo`

    - #### xgetStatus

          public TActivityStatus xgetStatus()

      Gets (as xml) the "status" element
      Specified by:
        `xgetStatus` in interface `TActivityInfo`

    - #### setStatus

          public void setStatus(TActivityStatus.Enum status)

      Sets the "status" element
      Specified by:
        `setStatus` in interface `TActivityInfo`

    - #### xsetStatus

          public void xsetStatus(TActivityStatus status)

      Sets (as xml) the "status" element
      Specified by:
        `xsetStatus` in interface `TActivityInfo`

    - #### getScope

          public TScopeRef getScope()

      Gets the "scope" element
      Specified by:
        `getScope` in interface `TActivityInfo`

    - #### isSetScope

          public boolean isSetScope()

      True if has "scope" element
      Specified by:
        `isSetScope` in interface `TActivityInfo`

    - #### setScope

          public void setScope(TScopeRef scope)

      Sets the "scope" element
      Specified by:
        `setScope` in interface `TActivityInfo`

    - #### addNewScope

          public TScopeRef addNewScope()

      Appends and returns a new empty "scope" element
      Specified by:
        `addNewScope` in interface `TActivityInfo`

    - #### unsetScope

          public void unsetScope()

      Unsets the "scope" element
      Specified by:
        `unsetScope` in interface `TActivityInfo`

    - #### getDtEnabled

          public java.util.Calendar getDtEnabled()

      Gets the "dt-enabled" element
      Specified by:
        `getDtEnabled` in interface `TActivityInfo`

    - #### xgetDtEnabled

          public org.apache.xmlbeans.XmlDateTime xgetDtEnabled()

      Gets (as xml) the "dt-enabled" element
      Specified by:
        `xgetDtEnabled` in interface `TActivityInfo`

    - #### isSetDtEnabled

          public boolean isSetDtEnabled()

      True if has "dt-enabled" element
      Specified by:
        `isSetDtEnabled` in interface `TActivityInfo`

    - #### setDtEnabled

          public void setDtEnabled(java.util.Calendar dtEnabled)

      Sets the "dt-enabled" element
      Specified by:
        `setDtEnabled` in interface `TActivityInfo`

    - #### xsetDtEnabled

          public void xsetDtEnabled(org.apache.xmlbeans.XmlDateTime dtEnabled)

      Sets (as xml) the "dt-enabled" element
      Specified by:
        `xsetDtEnabled` in interface `TActivityInfo`

    - #### unsetDtEnabled

          public void unsetDtEnabled()

      Unsets the "dt-enabled" element
      Specified by:
        `unsetDtEnabled` in interface `TActivityInfo`

    - #### getDtStarted

          public java.util.Calendar getDtStarted()

      Gets the "dt-started" element
      Specified by:
        `getDtStarted` in interface `TActivityInfo`

    - #### xgetDtStarted

          public org.apache.xmlbeans.XmlDateTime xgetDtStarted()

      Gets (as xml) the "dt-started" element
      Specified by:
        `xgetDtStarted` in interface `TActivityInfo`

    - #### isSetDtStarted

          public boolean isSetDtStarted()

      True if has "dt-started" element
      Specified by:
        `isSetDtStarted` in interface `TActivityInfo`

    - #### setDtStarted

          public void setDtStarted(java.util.Calendar dtStarted)

      Sets the "dt-started" element
      Specified by:
        `setDtStarted` in interface `TActivityInfo`

    - #### xsetDtStarted

          public void xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)

      Sets (as xml) the "dt-started" element
      Specified by:
        `xsetDtStarted` in interface `TActivityInfo`

    - #### unsetDtStarted

          public void unsetDtStarted()

      Unsets the "dt-started" element
      Specified by:
        `unsetDtStarted` in interface `TActivityInfo`

    - #### getDtCompleted

          public java.util.Calendar getDtCompleted()

      Gets the "dt-completed" element
      Specified by:
        `getDtCompleted` in interface `TActivityInfo`

    - #### xgetDtCompleted

          public org.apache.xmlbeans.XmlDateTime xgetDtCompleted()

      Gets (as xml) the "dt-completed" element
      Specified by:
        `xgetDtCompleted` in interface `TActivityInfo`

    - #### isSetDtCompleted

          public boolean isSetDtCompleted()

      True if has "dt-completed" element
      Specified by:
        `isSetDtCompleted` in interface `TActivityInfo`

    - #### setDtCompleted

          public void setDtCompleted(java.util.Calendar dtCompleted)

      Sets the "dt-completed" element
      Specified by:
        `setDtCompleted` in interface `TActivityInfo`

    - #### xsetDtCompleted

          public void xsetDtCompleted(org.apache.xmlbeans.XmlDateTime dtCompleted)

      Sets (as xml) the "dt-completed" element
      Specified by:
        `xsetDtCompleted` in interface `TActivityInfo`

    - #### unsetDtCompleted

          public void unsetDtCompleted()

      Unsets the "dt-completed" element
      Specified by:
        `unsetDtCompleted` in interface `TActivityInfo`

    - #### getFailure

          public TFailureInfo getFailure()

      Gets the "failure" element
      Specified by:
        `getFailure` in interface `TActivityInfo`

    - #### isSetFailure

          public boolean isSetFailure()

      True if has "failure" element
      Specified by:
        `isSetFailure` in interface `TActivityInfo`

    - #### setFailure

          public void setFailure(TFailureInfo failure)

      Sets the "failure" element
      Specified by:
        `setFailure` in interface `TActivityInfo`

    - #### addNewFailure

          public TFailureInfo addNewFailure()

      Appends and returns a new empty "failure" element
      Specified by:
        `addNewFailure` in interface `TActivityInfo`

    - #### unsetFailure

          public void unsetFailure()

      Unsets the "failure" element
      Specified by:
        `unsetFailure` in interface `TActivityInfo`